Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/otter-browser: new package

From: Isaac Dunham <ibid.ag_at_gmail.com>
Date: Tue, 11 Nov 2014 18:04:21 -0800

Otter is a new browser that aims to recreate the Opera 12.x UI using Qt5.
It uses QtWebkit as the rendering engine, and takes about half as much ram
as firefox in my experience (42 MB for a couple tabs opened at startup).
---
 testing/otter-browser/APKBUILD | 52 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)
 create mode 100644 testing/otter-browser/APKBUILD
diff --git a/testing/otter-browser/APKBUILD b/testing/otter-browser/APKBUILD
new file mode 100644
index 0000000..e536e4d
--- /dev/null
+++ b/testing/otter-browser/APKBUILD
_at_@ -0,0 +1,52 @@
+# Contributor: Isaac Dunham <ibid.ag_at_gmail.com>
+# Maintainer: Isaac Dunham <ibid.ag_at_gmail.com>
+pkgname=otter-browser
+# We build from the weekly releases.
+# Unfortunately, upstream version numbering is rather annoying:
+#  they use <next-release>-dev<week>
+# abuild hates that, and it would break upgrades if it worked,
+# so we use <last-release>.<week-since-release>
+pkgver=0.9.03.01
+_pkgver=0.9.04-dev45
+# Weekly releases may be in otter-browser-weekly<NN> or otter-browser-<release>
+_weekly=weekly45
+
+pkgrel=0
+pkgdesc="Web browser controlled by the user, not vice-versa"
+url="http://otter-browser.org/"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev=""
+makedepends="$depends_dev qt5-qtbase-dev qt5-qtwebkit-dev qt5-qtscript-dev 
+	cmake libpng-dev jpeg-dev openssl-dev"
+install=""
+subpackages="$pkgname-lang"
+langdir="/usr/share/$pkgname/locale"
+source="http://downloads.sourceforge.net/otter-browser/otter-browser-${_weekly}/otter-browser-$_pkgver.tar.bz2"
+
+_builddir="$srcdir"/otter-browser-$_pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	mkdir build && cd build || return 1
+	cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ../ && make || return 1
+}
+
+package() {
+	cd "$_builddir"/build || return 1
+	make install DESTDIR="$pkgdir" || return 1
+}
+
+md5sums="125b7acff99c8af620b2347c73443053  otter-browser-0.9.04-dev45.tar.bz2"
+sha256sums="2546932eebc6d504729b07a28ac46b385f17499ffc6e570aa34ab32f9f3482ab  otter-browser-0.9.04-dev45.tar.bz2"
+sha512sums="2e5acf9e5d10989042023ddf7beba0c50109f2cfe8d7602da59da8d69b85d83364fd01b9fb17686ef8cc80a63d2e4433161e3f3f27f6f4c14476b93389aeeca0  otter-browser-0.9.04-dev45.tar.bz2"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Tue Nov 11 2014 - 18:04:21 UTC